Bug 103415 - Weird string in date printing
Weird string in date printing
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: glibc (Show other bugs)
2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-08-29 17:55 EDT by Alan Cox
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-28 00:35:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alan Cox 2003-08-29 17:55:21 EDT
This shows up with a locale of cy_GB.UTF-8. If I run rpm -qi desktop-printing
(or anything else for that matter) it displays a date string of 

Dydd Gwener 29 a viz Awst 2003 22:21:01 BST

The [a viz] is weird and nothing to do with Welsh at all and other things appear
pear shaped.

In locale C I get 
Build Date: Wed Jul 23 .... 2003\n
Install Date: Fri Aug 29 22:21:01 2003

In locale cy_GB.UTF-8 I get (rpm has not been localised yet)

Build Date:
Install Date:  Dydd Gwener 29 a viz Awst 2003 22:21:01 BST 

which is the wrong format, the build date has vanished. The signature date lower
down is present but mangled in the same way.
Comment 1 Alan Cox 2003-08-29 17:56:13 EDT
(other apps all appear to be sane but I can't see anything that makes rpm
trigger this)
Comment 2 Alan Cox 2004-06-14 05:14:21 EDT
Still seen in FC2
Comment 3 Jakub Jelinek 2004-06-14 05:31:31 EDT
I get:
LC_ALL=cy_GB.UTF-8 rpm -qi desktop-printing
Name        : desktop-printing             Relocations: (not relocatable)
Version     : 0.1.10                            Vendor: Red Hat, Inc.
Release     : 26                            Build Date: Dydd Mercher 05 a viz Mai 2004 16:56:00 CEST
Install Date: Dydd Llun 10 a viz Mai 2004 11:25:55 CEST      Build Host: perf87.perf.redhat.com
Group       : Applications/File             Source RPM: desktop-printing-0.1.10-26.src.rpm
...
on FC2.
a viz there comes from:
d_t_fmt     "<U0044><U0079><U0064><U0064><U0020><U0025><U0041><U0020><U0025><U0064><U0020><U0061><U0020><U0076><U0069><U007A><U0020><U0025><U0042><U0020><U0025><U0059><U0020><U0025><U0054><U0020><U0025><U005A>"
which is translated to ASCII:
d_t_fmt     "Dydd %A %d a viz %B %Y %T %Z"
Comment 4 Ulrich Drepper 2004-08-26 01:06:30 EDT
Ping Mr Cox.  Works for me, too.  Please close the bug if you concur.

# LC_ALL=cy_GB.UTF-8 rpm -qi glibc
Name        : glibc                        Relocations: (not relocatable)
Version     : 2.3.3                             Vendor: Red Hat, Inc.
Release     : 46                            Build Date: Dydd Sadwrn 21
a viz Awst 2004 07:00:06 PDT
Install Date: Dydd Sul 22 a viz Awst 2004 23:44:33 PDT      Build
Host: tweety.build.redhat.com
Comment 5 Ulrich Drepper 2004-09-25 17:01:53 EDT
One last time: do we have to remove the "a viz" from the locale
specification or is it a feature of the language you don't know yet?
Comment 6 Alan Cox 2004-09-25 20:04:31 EDT
There is neither a 'v' nor a 'z' in the language.  Having dug around
it seems somehow a random bit of cornish has been pasted into the cy
file by someone wel before the cy translation project ever took off

s/a viz/mis/ 

and all will be happy.

Comment 7 Ulrich Drepper 2004-09-28 00:35:01 EDT
Fixed in CVS.
Comment 8 John Flanagan 2004-12-20 13:14:16 EST
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2004-586.html

Note You need to log in before you can comment on or make changes to this bug.